import request from '@/utils/request'

// 查询班次作业列表
export function listShiftJob(query) {
	return request({
		url: '/mes/shiftJob/list',
		method: 'get',
		params: query
	})
}


// 模糊查询班次作业列表
export function listLikeShiftJob(query) {
	return request({
		url: '/mes/shiftJob/listLike',
		method: 'get',
		params: query
	})
}

// 查询班次作业列表以及关联数据
export function listShiftJobWithAssociatedData(query) {
	return request({
		url: '/mes/shiftJob/withAssociatedData/list',
		method: 'get',
		params: query
	})
}

// 高级查询班次作业列表
export function advListShiftJob(query) {
	return request({
		url: '/mes/shiftJob/advList',
		method: 'get',
		params: query
	})
}

// 查询班次作业详细
export function getShiftJob(id) {
	return request({
		url: '/mes/shiftJob/' + id,
		method: 'get'
	})
}

// 查询班次作业详细
export function getShiftJobByShiftJobCode(shiftJobCode) {
	return request({
		url: '/mes/shiftJob/shiftJobCode/' + shiftJobCode,
		method: 'get'
	})
}


// 新增班次作业
export function addShiftJob(data) {
	return request({
		url: '/mes/shiftJob',
		method: 'post',
		data: data
	})
}

// 修改班次作业
export function updateShiftJob(data) {
	return request({
		url: '/mes/shiftJob',
		method: 'put',
		data: data
	})
}

// 删除班次作业
export function delShiftJob(id) {
	return request({
		url: '/mes/shiftJob/' + id,
		method: 'delete'
	})
}